chiark / gitweb /
changelog: we are 2.1.2~ not 2.1.2
[authbind.git] / authbind.c
index 028ccbf..8dd8f0c 100644 (file)
 
 #include "authbind.h"
 
-static const char *rcsid="$Id$";
-
 static void printusage(FILE *f) {
   if (fprintf(f,
              "usage:       authbind [<options>] <program> <arg> <arg> ...\n"
-             "options:     --deep    --depth <levels>\n"
-             "version:     " MAJOR_VER "." MINOR_VER "  %s\n",
-             rcsid) == EOF) { perror("printf usage"); exit(-1); }
+             "options:     --deep    --depth <levels>\n")
+      == EOF) { perror("printf usage"); exit(-1); }
 }
 
 static void usageerror(const char *msg) {
@@ -57,7 +54,7 @@ int main(int argc, char *const *argv) {
   while (argc>1 && argv[1][0]=='-') {
     argc--; argv++;
     if (!argv[0][1]) break;
-    if (!strcmp("--deep",argv[0])) { depth= -1; }
+    if (!strcmp("--deep",argv[0])) { depth= 0; }
     else if (!strcmp("--depth",argv[0])) {
       if (argc<=1) usageerror("--depth requires a value");
       argc--; argv++;
@@ -90,7 +87,7 @@ int main(int argc, char *const *argv) {
   if (depth > 1) {
     sprintf(buf,"%ld",depth-1);
     mustsetenv(AUTHBIND_LEVELS_VAR,buf);
-  } else if (depth == -1) {
+  } else if (depth == 0) {
     mustsetenv(AUTHBIND_LEVELS_VAR,"y");
   } else {
     assert(depth==1);